glab(1)

NAME
glab-repo-publish-catalog - [EXPERIMENTAL] Publishes CI/CD components to the catalog.

SYNOPSIS
glab repo publish catalog [flags]

DESCRIPTION
[EXPERIMENTAL] Publishes CI/CD components in the project to the CI/CD catalog using the provided tag name.

Requires the feature flag ci_release_cli_catalog_publish_option to be enabled for this project in your GitLab instance.

Requires the same user as the release author.

•   It retrieves components from the current repository by searching for yml files within the "templates" directory and its subdirectories.

•   It fails if the feature flag ci_release_cli_catalog_publish_option is not enabled for this project in your GitLab instance.

Components can be defined:

•   In single files ending in .yml for each component, like templates/secret-detection.yml.

•   In subdirectories containing template.yml files as entry points, for components that bundle together multiple related files. For example, templates/secret-detection/template.yml.

OPTIONS
-t, --tag=""
    An existing tag that should be published.

OPTIONS INHERITED FROM PARENT COMMANDS
--help[=false]
    Show help for this command.

EXAMPLE
    glab repo publish catalog v1.2.3

SEE ALSO
glab-repo-publish(1)